ShellCommand_set (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.shell.ShellCommand_set class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.shell
Class ShellCommand_set

    java.lang.Object
      org.hyperic.util.shell.ShellCommandBase
          org.hyperic.util.shell.ShellCommand_set

All Implemented Interfaces:
  ShellCommandHandler

    public class ShellCommand_set

extends ShellCommandBase

Constructor Summary
`ShellCommand_set()`

Method Summary
`void` | `addSetKey(java.lang.String key, java.lang.String description)`
`java.lang.String` | `getSyntaxArgs()`
`java.lang.String` | `getUsageHelp(java.lang.String[] args)` Get some info on how to invoke this command.
`java.lang.String` | `getUsageShort()` Get a very brief (40 character) description of the command
`void` | `processCommand(java.lang.String[] args)` Handle a command.

Methods inherited from class org.hyperic.util.shell.ShellCommandBase
`getCommandName, getErrStream, getMessages, getMessages, getOutStream, getShell, getSyntax, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShellCommand_set

    public ShellCommand_set()

Method Detail

### processCommand

    public void processCommand(java.lang.String[] args)
                        throws ShellCommandUsageException,
                               ShellCommandExecException

  Description copied from interface: `ShellCommandHandler`
  Handle a command.

  Specified by:
    `processCommand` in interface `ShellCommandHandler`
  Overrides:
    `processCommand` in class `ShellCommandBase`
  Parameters:
    `args` - The args to the command.
  Throws:
    `ShellCommandUsageException` - If the args are malformed.
    `ShellCommandExecException` - If an error occurred executing the command.

### addSetKey

    public void addSetKey(java.lang.String key,
                          java.lang.String description)

### getSyntaxArgs

    public java.lang.String getSyntaxArgs()

  Overrides:
    `getSyntaxArgs` in class `ShellCommandBase`

### getUsageShort

    public java.lang.String getUsageShort()

  Description copied from interface: `ShellCommandHandler`
  Get a very brief (40 character) description of the command

  Specified by:
    `getUsageShort` in interface `ShellCommandHandler`
  Overrides:
    `getUsageShort` in class `ShellCommandBase`
  Returns:
    A description of the command.

### getUsageHelp

    public java.lang.String getUsageHelp(java.lang.String[] args)

  Description copied from interface: `ShellCommandHandler`
  Get some info on how to invoke this command.

  Specified by:
    `getUsageHelp` in interface `ShellCommandHandler`
  Overrides:
    `getUsageHelp` in class `ShellCommandBase`
  Returns:
    Some usage information on how this command is expected to be invoked.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.